Subject: [dns-privacy] Msg from the AD Re: I-D Action: draft-ietf-dprive-rfc7626-bis-04.txt

From: "Eric Vyncke (evyncke)" <[email-masked]>
Date: Wed, 13 May 2020 19:01:46 +0000

Dear dprive WG members,

As you have noticed, there are a lot of messages and discussions about this specific draft revision issued after the 2nd (!) IETF-wide Last Call. Discussions are always good (and I really appreciate the respectful tone of those discussions) but are not always helping to progress this WG document towards publication (if this is still deemed useful by the WG and the IETF, we could also have a "rough consensus" rather than a unanimous approval).

For your information, as the responsible AD, I will have a chat with the chairs on Friday 15th of May to clarify what stage this draft is at given the recent comments. Brian, Tim, and myself will come back to the WG shortly after the call and share with you the plan to move forward (looking for the WG feedback).

Again, thank you for having kept the discussion respectful

-éric

-----Original Message-----
From: dns-privacy <[email-masked]> on behalf of Sara Dickinson <[email-masked]>
Date: Thursday, 16 January 2020 at 13:23
To: DNS Privacy Working Group <[email-masked]>
Subject: Re: [dns-privacy] I-D Action: draft-ietf-dprive-rfc7626-bis-04.txt

    Hi All, 

    So the -04 update attempts to address as many of the comments as possible that arose during IETF LC along the lines Eric suggested. The change log is:

    * Tsvart review: Add reference to DNS-over-QUIC, fix typo.
    * Secdir review: Add text in Section 3 on devices using many networks. Update bullet in 3.4.1 on cellular encryption.
    * Section 3.5.1.1 - re-work the section to try to address multiple comments. 
    * Section 3.5.1.4 - remove this section as now covered by 3.5.1.1.
    * Section 3.5.1.5.2 - Remove several paragraphs and more directly reference
      RFC8484 by including bullet points quoting text from Section 8.2 of RFC8484.
      Retain the last 2 paragraphs as they are information for users, not
      implementors.
    * Section 3.4.2 - some minor updates made based on specific comments.

    If there are still concerns about the content then I would be very grateful at this stage if folks could propose specific text to address issues so we can more quickly move forward. 

    Regards

    Sara. 

    > On 16 Jan 2020, at 12:15, [email-masked] wrote:
    > 
    > 
    > A New Internet-Draft is available from the on-line Internet-Drafts directories.
    > This draft is a work item of the DNS PRIVate Exchange WG of the IETF.
    > 
    >        Title           : DNS Privacy Considerations
    >        Authors         : Stephane Bortzmeyer
    >                          Sara Dickinson
    > 	Filename        : draft-ietf-dprive-rfc7626-bis-04.txt
    > 	Pages           : 28
    > 	Date            : 2020-01-16
    > 
    > Abstract:
    >   This document describes the privacy issues associated with the use of
    >   the DNS by Internet users.  It is intended to be an analysis of the
    >   present situation and does not prescribe solutions.  This document
    >   obsoletes RFC 7626.
    > 
    > 
    > The IETF datatracker status page for this draft is:
    > https://datatracker.ietf.org/doc/draft-ietf-dprive-rfc7626-bis/
    > 
    > There are also htmlized versions available at:
    > https://tools.ietf.org/html/draft-ietf-dprive-rfc7626-bis-04
    > https://datatracker.ietf.org/doc/html/draft-ietf-dprive-rfc7626-bis-04
    > 
    > A diff from the previous version is available at:
    > https://www.ietf.org/rfcdiff?url2=draft-ietf-dprive-rfc7626-bis-04
    > 
    > 
    > Please note that it may take a couple of minutes from the time of submission
    > until the htmlized version and diff are available at tools.ietf.org.
    > 
    > Internet-Drafts are also available by anonymous FTP at:
    > ftp://ftp.ietf.org/internet-drafts/
    > 
    > _______________________________________________
    > dns-privacy mailing list
    > [email-masked]
    > https://www.ietf.org/mailman/listinfo/dns-privacy

    _______________________________________________
    dns-privacy mailing list
    [email-masked]
    https://www.ietf.org/mailman/listinfo/dns-privacy

---

From: Rob Sayre <[email-masked]>
Date: Fri, 29 May 2020 23:16:58 -0700

On Wed, May 13, 2020 at 12:03 PM Eric Vyncke (evyncke) <evyncke=
[email-masked]> wrote:

> Dear dprive WG members,
>
> As you have noticed, there are a lot of messages and discussions about
> this specific draft revision issued after the 2nd (!) IETF-wide Last Call.
> Discussions are always good (and I really appreciate the respectful tone of
> those discussions) but are not always helping to progress this WG document
> towards publication (if this is still deemed useful by the WG and the IETF,
> we could also have a "rough consensus" rather than a unanimous approval).
>
> For your information, as the responsible AD, I will have a chat with the
> chairs on Friday 15th of May to clarify what stage this draft is at given
> the recent comments. Brian, Tim, and myself will come back to the WG
> shortly after the call and share with you the plan to move forward (looking
> for the WG feedback).
>

Hello,

Has anything happened here? I looked through the mail archive, but I did
not see any progress on this matter.

thanks,
Rob